## GooCanvasGroup GooCanvasGroup — a group of items. |

## Functions

GooCanvasItem * | goo_canvas_group_new ()

## Properties

gdouble | height | Read / Write
gdouble | width | Read / Write
gdouble | x | Read / Write
gdouble | y | Read / Write

## Types and Values

struct | GooCanvasGroup

## Object Hierarchy

        GObject
        ╰── GooCanvasItemSimple
            ╰── GooCanvasGroup
                ╰── GooCanvasTable

## Implemented Interfaces

GooCanvasGroup implements GooCanvasItem.

## Description

GooCanvasGroup represents a group of items. Groups can be nested to any depth, to create a hierarchy of items. Items are ordered within each group, with later items being displayed above earlier items.

GooCanvasGroup is a subclass of GooCanvasItemSimple and so inherits all of the style properties such as "stroke-color", "fill-color" and "line-width". Setting a style property on a GooCanvasGroup will affect all children of the GooCanvasGroup (unless the children override the property setting).

GooCanvasGroup implements the GooCanvasItem interface, so you can use the GooCanvasItem functions such as `goo_canvas_item_raise()` and `goo_canvas_item_rotate()`, and the properties such as "visibility" and "pointer-events".

If the “width” and “height” properties are set to positive values then the group is clipped to the given size.

To create a GooCanvasGroup use `goo_canvas_group_new()`.

To get or set the properties of an existing GooCanvasGroup, use `g_object_get()` and `g_object_set()`.

## Functions

### goo_canvas_group_new ()

    GooCanvasItem *
    goo_canvas_group_new (GooCanvasItem *parent,
                          ...);

Creates a new group item.

#### Parameters

parent | the parent item, or `NULL`. If a parent is specified, it will assume ownership of the item, and the item will automatically be freed when it is removed from the parent. Otherwise call `g_object_unref()` to free it. | [skip]
... | optional pairs of property names and values, and a terminating `NULL`. |

#### Returns

a new group item.

[transfer full]

## Types and Values

### struct GooCanvasGroup

    struct GooCanvasGroup;

The GooCanvasGroup struct contains private data only.

## Property Details

### The `“height”` property

      “height”                   gdouble

The height of the group, or -1 to use the default height.

Flags: Read / Write

Default value: -1

### The `“width”` property

      “width”                    gdouble

The width of the group, or -1 to use the default width.

Flags: Read / Write

Default value: -1

### The `“x”` property

      “x”                        gdouble

The x coordinate of the group.

Flags: Read / Write

Default value: 0

### The `“y”` property

      “y”                        gdouble

The y coordinate of the group.

Flags: Read / Write

Default value: 0